package com.jkcredit.invoice.service.nocar.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jkcredit.invoice.mapper.Binvoce.BillInvoiceMapper;
import com.jkcredit.invoice.model.entity.invoice.BillInvoice;
import com.jkcredit.invoice.service.nocar.NocarInvoiceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class NocarInvoiceServiceImpl extends ServiceImpl<BillInvoiceMapper,BillInvoice> implements NocarInvoiceService{
    @Autowired
    BillInvoiceMapper billInvoiceMapper;

    @Override
    public IPage<List<BillInvoice>> findByPageAndInvoice(Page page, BillInvoice billInvoice) {
        return billInvoiceMapper.selectAllByPage(page,billInvoice);
    }

    @Override
    public Map<String, String> findInvoiceStatics(BillInvoice billInvoice) {
        return billInvoiceMapper.findInvoiceStatics(billInvoice);
    }
}
